--------------------------------------------------
-- Player Classes Script by Unreal Software     --
-- 28.02.2009 - www.UnrealSoftware.de           --
-- Adds Player Classes to your server           --
--------------------------------------------------

parse("mp_wpndmg Claw 75")
parse("mp_wpndmg LaserMine 100")
parse("mp_wpndmg Chainsaw 50")

if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Defender,Alien,Marine,Predalien")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>1) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CLASS SELECTION   --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=4) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse ("slap "..id.." 1")
			end
		end
	end
end

-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
     if (player(id,"team") == 1) then
	-- Defender
	if (sample.classes.class[id]<=1) then
		parse ("setmaxhealth "..id.." 150")
		parse ("setarmor "..id.." 200")
		parse ("equip "..id.." 40")
		parse ("equip "..id.." 2")
		parse ("equip "..id.." 1")
		parse ("speedmod "..id.." 2")
		return "40,2,1";
	end
	-- Alien
	if (sample.classes.class[id]<=2) then
		parse ("setmaxhealth "..id.." 200")
		parse ("equip "..id.." 78")
		parse ("equip "..id.." 85")
		parse ("equip "..id.." 81")
		parse ("speedmod "..id.." 20")
		return "78,85,81";
	end
					-- Marine
	if (sample.classes.class[id]<=3) then
			parse ("equip "..id.." 36")
					parse ("equip "..id.." 3")
            parse ("equip "..id.." 37")
						parse ("equip "..id.." 53")
		parse ("setmaxhealth "..id.." 125")
		parse ("setarmor "..id.." 150")
		parse ("speedmod "..id.." 2")	
		return "69,6,33";
				end
					-- Predalien
	if (sample.classes.class[id]<=4) then
			parse ("equip "..id.." 78")
					parse ("equip "..id.." 85")
						parse ("equip "..id.." 82")
		parse ("setmaxhealth "..id.." 200")
		parse ("speedmod "..id.." 25")	
		return "78,85,82";
	end
end


-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","buy")
function buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","walkover")
function walkover(id,iid,type)
	if (type>=1 and type<=88) then
		return 1
	end
	return 0
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","drop")
function drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end
end
